package com.xtd.project.activiti.domain;

import java.io.Serializable;
import java.util.Date;

public class MyTaskVo implements Serializable {

    /** 任务ID */
    private String taskId;

    /** 流程名称 */
    private String processDefinitionName;


    /** 任务名称 */
    private String taskName;
    /**
     * 提交信息
     */
    private String creatUserName;
    /**
     *提交部门
     */
    private String creatDeptName;

    /**
     * 提交时间
     */
    private Date creatFormTime;

    /**
     * 外置表单key
     */
    private String formKey;
    /**
     * 模型key
     */
    private String modelKey;

    /**
     * 模型version
     */
    private Integer modelVersion;
    /**
     * 流程id
     */
    private String instanceId;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getFormKey() {
        return formKey;
    }

    public void setFormKey(String formKey) {
        this.formKey = formKey;
    }

    public String getModelKey() {
        return modelKey;
    }

    public void setModelKey(String modelKey) {
        this.modelKey = modelKey;
    }

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public Integer getModelVersion() {
        return modelVersion;
    }

    public void setModelVersion(Integer modelVersion) {
        this.modelVersion = modelVersion;
    }

    public String getProcessDefinitionName() {
        return processDefinitionName;
    }

    public void setProcessDefinitionName(String processDefinitionName) {
        this.processDefinitionName = processDefinitionName;
    }

    public String getCreatUserName() {
        return creatUserName;
    }

    public void setCreatUserName(String creatUserName) {
        this.creatUserName = creatUserName;
    }

    public String getCreatDeptName() {
        return creatDeptName;
    }

    public void setCreatDeptName(String creatDeptName) {
        this.creatDeptName = creatDeptName;
    }

    public Date getCreatFormTime() {
        return creatFormTime;
    }

    public void setCreatFormTime(Date creatFormTime) {
        this.creatFormTime = creatFormTime;
    }
}
